Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Most recently added items to the vinyl collection. Supports date filtering via date, from, and to params.
cURL
curl --request GET \ --url https://api.rewind.rest/v1/collecting/recent \ --header 'Authorization: Bearer <token>'
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://api.rewind.rest/v1/collecting/recent', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requests url = "https://api.rewind.rest/v1/collecting/recent" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
{ "data": [ { "id": 1, "discogs_id": 6872464, "title": "Nevermind", "artists": [ "Nirvana" ], "year": 1991, "format": "Vinyl", "format_detail": "[\"LP\",\"Album\"]", "label": "[{\"name\":\"DGC\",\"catno\":\"DGC-24425\"}]", "genres": [ "Rock" ], "styles": [ "Grunge" ], "image": { "url": "https://cdn.rewind.rest/cdn-cgi/image/width=300,height=300,fit=cover,format=auto,quality=85/collecting/releases/6872464/original.jpg?v=1", "thumbhash": "GncKRwaU9niFd3dShlaJSFeJlYCYhGYA", "dominant_color": "#222229", "accent_color": "#9b31ed" }, "date_added": "2026-03-11T16:05:58-07:00", "rating": 0, "discogs_url": "https://www.discogs.com/release/6872464" } ], "pagination": { "page": 1, "limit": 20, "total": 284, "total_pages": 15 } }
{ "error": "Not found", "status": 404 }
API key. Read keys (rw_live_...) access GET endpoints. Admin keys (rw_admin_...) access all endpoints.
1 <= x <= 50
x >= 1
Single day (YYYY-MM-DD). Overrides from/to.
^\d{4}-\d{2}-\d{2}$
"2025-02-17"
Range start, inclusive (ISO 8601)
"2025-02-01T00:00:00Z"
Range end, inclusive (ISO 8601)
"2025-02-28T23:59:59Z"
Recent collection items
Show child attributes